summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <petar.petrov@student.oulu.fi>2015-03-27 07:57:59 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-27 07:57:59 +0700
commit25b5e0f23027f4b9bb01e66d742aa4ca3a9ca2e5 (patch)
treed54633bef24ed303f6cbcb4597f3779bb0406352 /academic
parentb58f460047df0774b19d1308131523aaa520cfa2 (diff)
downloadslackbuilds-25b5e0f23027f4b9bb01e66d742aa4ca3a9ca2e5.tar.gz
slackbuilds-25b5e0f23027f4b9bb01e66d742aa4ca3a9ca2e5.tar.xz
academic/fastqc: Added (quality control tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/fastqc/README17
-rw-r--r--academic/fastqc/doinst.sh3
-rw-r--r--academic/fastqc/fastqc.SlackBuild84
-rw-r--r--academic/fastqc/fastqc.desktop8
-rw-r--r--academic/fastqc/fastqc.info10
-rw-r--r--academic/fastqc/fastqc.pngbin0 -> 1197 bytes
-rw-r--r--academic/fastqc/slack-desc19
7 files changed, 141 insertions, 0 deletions
diff --git a/academic/fastqc/README b/academic/fastqc/README
new file mode 100644
index 0000000000..ef3be171ac
--- /dev/null
+++ b/academic/fastqc/README
@@ -0,0 +1,17 @@
+FastQC: A quality control tool for high throughput sequence data
+
+FastQC aims to provide a simple way to do some quality control checks
+on raw sequence data coming from high throughput sequencing pipelines.
+It provides a modular set of analyses which you can use to give a
+quick impression of whether your data has any problems of which you
+should be aware before doing any further analysis.
+
+The main functions of FastQC are
+
+- Import of data from BAM, SAM or FastQ files (any variant)
+- Providing a quick overview to tell you in which areas there may be
+ problems
+- Summary graphs and tables to quickly assess your data
+- Export of results to an HTML based permanent report
+- Offline operation to allow automated generation of reports without
+ running the interactive application
diff --git a/academic/fastqc/doinst.sh b/academic/fastqc/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/fastqc/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/fastqc/fastqc.SlackBuild b/academic/fastqc/fastqc.SlackBuild
new file mode 100644
index 0000000000..b489ef39ec
--- /dev/null
+++ b/academic/fastqc/fastqc.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for fastqc
+
+# Copyright 2015 Petar Petrov petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fastqc
+SRCNAM=FastQC
+VERSION=${VERSION:-0.11.2}
+SRCVER=${SRCVER:-v0.11.2}
+
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+# Jar files names and versions
+JBZIP=jbzip2-0.9.jar
+SAM=sam-1.103.jar
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+unzip $CWD/${PRGNAM}_${SRCVER}.zip
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $PRGNAM $PKG/usr/share/java/$PRGNAM/$PRGNAM
+cp -a Configuration net org Templates uk $JBZIP $SAM $PKG/usr/share/java/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+ln -s ../share/java/$PRGNAM/$PRGNAM
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Help *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Menu item and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/fastqc/fastqc.desktop b/academic/fastqc/fastqc.desktop
new file mode 100644
index 0000000000..25d61cb7ef
--- /dev/null
+++ b/academic/fastqc/fastqc.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=FastQC
+Comment=A quality control tool for high throughput sequence data
+Exec=fastqc
+Icon=fastqc
+StartupNotify=false
+Type=Application
+Categories=Education;
diff --git a/academic/fastqc/fastqc.info b/academic/fastqc/fastqc.info
new file mode 100644
index 0000000000..d9c10eca67
--- /dev/null
+++ b/academic/fastqc/fastqc.info
@@ -0,0 +1,10 @@
+PRGNAM="fastqc"
+VERSION="0.11.2"
+HOMEPAGE="http://www.bioinformatics.babraham.ac.uk/projects/fastqc/"
+DOWNLOAD="http://www.bioinformatics.babraham.ac.uk/projects/fastqc/fastqc_v0.11.2.zip"
+MD5SUM="8686e180a2d7c818821eb7db194d9488"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/academic/fastqc/fastqc.png b/academic/fastqc/fastqc.png
new file mode 100644
index 0000000000..348c93b95d
--- /dev/null
+++ b/academic/fastqc/fastqc.png
Binary files differ
diff --git a/academic/fastqc/slack-desc b/academic/fastqc/slack-desc
new file mode 100644
index 0000000000..ee41491c01
--- /dev/null
+++ b/academic/fastqc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fastqc: fastqc (A quality control tool for high throughput sequence data)
+fastqc:
+fastqc: FastQC aims to provide a simple way to do some quality control
+fastqc: checks on raw sequence data coming from high throughput
+fastqc: sequencing pipelines. It provides a modular set of analyses
+fastqc: which you can use to give a quick impression of whether your
+fastqc: data has any problems of which you should be aware before
+fastqc: doing any further analysis.
+fastqc:
+fastqc: Home: http://www.bioinformatics.babraham.ac.uk/projects/fastqc/
+fastqc: